//package IM;

import java.io.Serializable;
import java.util.Calendar;

class Message implements Serializable {
    String sender;
    String receiver;
    String chat;
    Calendar timestamp;

    public Message(String s, String r, String m, Calendar ts) {
        sender = s;
        receiver = r;
        chat = m;
        timestamp = ts;
    }

    public String getChat() {
        return chat;
    }

    public String getReceiver() {
        return receiver;
    }

    public String getSender() {
        return sender;
    }

    public Calendar getTimestamp() {
        return timestamp;
    }
}
